@REM ---------------------------------------------------------------------------
@REM Install wizard hook.
@REM
@REM This script is invoked during Windows WASCE+SDK bundle install to accommodate
@REM template installs that require *additional* files under WASCE_ROOT or require
@REM custom processing after the install wizard copies over the server image.
@REM
@REM Template installs that exclusively require customization to files that are
@REM already part of the WASCE+SDK bundle, do not have to utilize this script.  Such
@REM customizations include setting default user ID/password or server ports.
@REM
@REM Warning: Files copied using this hook are NOT accounted for by the install
@REM wizard in its estimate of total install size.  This estimate is presented
@REM in the pre-install summary dialog.
@REM
@REM Example use: If your template install requires the following post-install
@REM directory structure...
@REM
@REM WASCE_ROOT
@REM   bin
@REM   config-store
@REM   lib
@REM   myCustomDirTree  <-- Additional files beyond the WASCE install image
@REM   repository
@REM   ...
@REM
@REM ..this script could be customized to include the following logic...
@REM
@REM set WASCE_HOME=%~dp0..
@REM set LAUNCHER_HOME=%1
@REM cd "%WASCE_HOME%"
@REM mkdir myCustomDirTree 1>nul 2>&1
@REM cd "%LAUNCHER_HOME%"
@REM xcopy "myCustomDirTree\*" "%WASCE_HOME%\myCustomDirTree\" /r /e /k /v /y
@REM
@REM
@REM Parameters passed by the install wizard to this script:
@REM
@REM %0 - The filespec of this script.
@REM %1 - Directory of the install wizard setup launcher.
@REM %2 - Directory of the install wizard log.
@REM
@REM ---------------------------------------------------------------------------

@REM Must have command extensions enabled for this script
verify other 2>nul
setlocal enableextensions
if errorlevel 1 exit

set WASCE_HOME=%~dp0..
set LAUNCHER_HOME=%1

@REM LAUNCHER_HOME/_jvm triggers WASCE-private JVM use.
if exist "%LAUNCHER_HOME%\_jvm" goto PrivateJvm
goto noPrivateJvm
:PrivateJvm
cd /d "%WASCE_HOME%"
mkdir _jvm 1>nul 2>&1
cd /d "%LAUNCHER_HOME%"
xcopy "_jvm\*" "%WASCE_HOME%\_jvm\" /r /e /k /v /y
:noPrivateJvm









